program tutor0;
{$F+}
uses
	xmatdefs, FilUSR, UCntrl, Simul2, traxp, variable,
	lib_basi, libep02, libep, libdig01;

procedure cirt1;
begin
vg(1,0,1,1);
r(1,2,100);
c(2,0,10e-6);
end; (* cirt1 *)

procedure cirt2;
begin
end;

procedure funcsr(t:NReal);
begin
rf[1]:=pulsoc(t,0,10e-3,20e-3,1,3);
end;

procedure inicio;
begin
nn:=2;
nindep:=1;
tinicial:=0;
x0[1]:=0;
tfinal:=100e-3;
dtmax0:=5e-6;
dtmin:=dtmax0/100;
PasoDivisor:=6;
TmaxTmin:=1e3;


traxp.tinicial:=tinicial;
traxp.tfinal:=tfinal;

iniciegr;

gridx:=10;
gridy:=10;
subplot(1,1);

definaY(0,0,0.3);
titulo('Tension en el Condensador');
xlabel('2 ms/DIV');
ylabel('0.3 V/DIV');
linea0;
grid;

superponga(1,0);
definacolor(1,rojo);
definacolor(0,verde);

end;

procedure fin;
begin
readln;
TermineGr;
end;

procedure pesca;
begin
traxp.t:=t;
trazo(0,x[1]);
trazo(1,v[1]);
end;

begin
FilUSR.Cirt1:=Cirt1;
FilUSR.Cirt2:=Cirt2;
FilUSR.FuncsR:=FuncsR;
FilUSR.Inicio:=Inicio;
FilUSR.Pesca:=Pesca;
paseo;
fin
end.